Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236082 - Provided public interfaces are insufficient
Summary: Provided public interfaces are insufficient
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: elfutils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-11 20:49 UTC by Jan Kratochvil
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-18 05:25:03 UTC


Attachments (Terms of Use)

Description Jan Kratochvil 2007-04-11 20:49:05 UTC
I failed to figure out how to provide elfutils based ps_pglobal_lookup() for
libthread_db.  There is no way how to find a specific `Dwfl_Module *' according
to its name or even just to iterate all of them looking for a global symbol name.

There is a problem all the elfutils structures are private and not much info is
exposed in the public /usr/include/elfutils/* interfaces.

As a first step I would like to see at least `src/readelf.c' implemented without
any "../lib*/*P.h" hacks - eu-readelf(1) is very innocent package with should be
implementable as a 3rd party application based on elfutils libraries.

Either just moving the structures to the public space or providing some public
iterators/getters would be needed.

I can even implement some of the code but some proposed interfaces would be
probably best.

If such global request for public eu-readelf(1) does not make sense to you I may
try to start requesting specific public interface features.

Comment 1 Roland McGrath 2007-05-18 05:25:03 UTC
A vague bug like this is not helpful, and bugzilla is not a good way to discuss
interface issues and contemplate features.  We can discuss by email what you
need in particular, and when it reaches the point of concrete additions to serve
clear needs, there can be bugzilla entries for individual features as needed for
tracking purposes.


Note You need to log in before you can comment on or make changes to this bug.